# $Revision: 1.15 $, $Date: 2007/02/13 07:16:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	DBI-Pager
Summary:	Class::DBI::Pager - pager utility for Class::DBI
Summary(pl.UTF-8):	Class::DBI::Pager - narzędzie stronicujące dla Class::DBI
Name:		perl-Class-DBI-Pager
Version:	0.08
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d6b462ecc6439728a209ec5ec0192b0c
Patch0:		%{name}-versionedep.patch
URL:		http://search.cpan.org/dist/Class-DBI-Pager/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Accessor-Chained
BuildRequires:	perl-Class-DBI >= 0.90
BuildRequires:	perl-Data-Page >= 0.13
BuildRequires:	perl-Exporter-Lite
%endif
# Not caught by autodeps
Requires:	perl-Class-Accessor-Chained
# Need versioned dep
Requires:	perl-Class-DBI >= 0.90
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::DBI::Pager is a plugin for Class::DBI, which glues Data::Page
with Class::DBI. This module reduces your work a lot, for example when
you have to do something like:
 - retrieve objects from a database
 - display objects with 20 items per page In addition, your work will
   be reduced more, when you use Template-Toolkit as your templating
   engine.

%description -l pl.UTF-8
Class::DBI::Pager to wtyczka dla Class::DBI, która skleja Data::Page z
Class::DBI. Ten moduł oszczędza wiele pracy, na przykład kiedy robimy
coś w rodzaju:
 - odczytanie obiektów z bazy danych
 - wyświetlenie obiektów po 20 elementów na stronie. Ponadto jeszcze
   więcej pracy można oszczędzić przy użyciu Template-Toolkitu jako
   silnika szablonów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Class/DBI/Pager.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-DBI-Pager.spec,v $
Revision 1.15  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.13  2006/09/06 20:52:00  glen
- rel 3: hackish fix for error: perl-Class-DBI-Pager-0.08-2: req perl(Class::DBI) >= 0.90 version mismatch

Revision 1.12  2006/07/30 15:31:50  hawk
- release 2

Revision 1.11  2006/07/26 19:00:56  glen
- perl-Class-Accessor-Chained is base class of this package

Revision 1.10  2006/07/26 18:59:43  glen
- reverted, its my name ;)

Revision 1.9  2006/07/26 18:59:02  glen
- perl-Class-DBI-Pager for tests

Revision 1.8  2006/07/26 18:57:01  glen
- 0.08, generic URL

Revision 1.7  2006/02/17 16:15:13  glen
- 0.07

Revision 1.6  2004/11/03 22:30:09  paladine
- formatting

Revision 1.5  2004/09/07 15:15:02  adamg
- updated to 0.06

Revision 1.4  2004/04/18 16:56:34  ankry
- license fixes and unification

Revision 1.3  2004/04/14 11:02:24  ankry
- cosmetics

Revision 1.2  2004/04/13 16:49:08  qboosh
- pl, cut log from template

Revision 1.1  2004/04/13 13:10:01  migo
- initial revision
